petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMForestSetAdaptivityLabel

During the pre-setup phase, set the label of the pre-adaptation forest (see DMForestGetAdaptivityForest()) that holds the adaptation flags (refinement, coarsening, or some combination). The interpretation of the label values is up to the subtype of DMForest, but DM_FOREST_KEEP, DM_FOREST_REFINE, and DM_FOREST_COARSEN have been reserved as choices that should be accepted by all subtypes.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetAdaptivityLabel(DM dm, const char * adaptLabel)

Logically collective on dm

### Input Parameters

dm -the forest + adaptLabel - the name of the label in the pre-adaptation forest

### See Also

DMForestGetAdaptivityLabel()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages